# Maintainer: Felix Golatofski <contact@xdfr.de>
# Contributor: mads256h <mads256h(at)gmail(dot)com>
# Contributor: Alireza Ayinmehr <alireza.darksun@gmail.com>
# Contributor: wenLiangcan <boxeed at gmail dot com>
# Contributor: se7enday(87635645#qq.com)
# Modified by Rafael from RebornOS

pkgname=grub2-theme-vimix-git
pkgver=2021.09.19
pkgrel=1.1
tname=Vimix
iname=rebornos
commitn=de33b1a2c399d8169f78eea7abcf2d85844b88ba
pkgdesc="Grub2 theme Vimix"
url='https://github.com/vinceliuice/grub2-themes'
arch=('any')
license=('GPLv3')
depends=('grub')
makedepends=(git sed)
install=${pkgname}.install
source=("${pkgname}"::"git+${url}#commit=${commitn}"
        "${iname}-color.png"
        "theme.txt"
        "unifont-regular-16.pf2")
conflicts=('grub2-theme-vimix')
sha256sums=('SKIP'
            '16dba477be79dc60a4d2538fee6fce09032ed812987e2599825c6facf44bd704'
            'f41847031e57f4b286f2df99e0a561d5c169739594d2d65d6d60c873b10c773b'
            '2c76695c6dbb3736a13a4b65b720aabe9595dce39cf5795aebbd74ba63901907')

package() {
    mkdir -p ${pkgdir}/boot/grub/themes/${tname}/icons
    cp ${iname}-color.png ${pkgdir}/boot/grub/themes/${tname}/icons/${iname}.png
    chmod 644 ${pkgdir}/boot/grub/themes/${tname}/icons/${iname}.png
    cp theme.txt ${pkgdir}/boot/grub/themes/${tname}
    chmod 644 ${pkgdir}/boot/grub/themes/${tname}/theme.txt
    cp unifont-regular-16.pf2 ${pkgdir}/boot/grub/themes/${tname}
    chmod 644 ${pkgdir}/boot/grub/themes/${tname}/unifont-regular-16.pf2
    
    cd ${srcdir}/${pkgname}/common
    for file in *; do
        install -Dm644 ${file} ${pkgdir}/boot/grub/themes/${tname}/${file}
    done

    cd ${srcdir}/${pkgname}
    install -Dm644 backgrounds/1080p/background-stylish.jpg ${pkgdir}/boot/grub/themes/${tname}/background.jpg

    install -dm644 assets/assets-color/icons ${pkgdir}/boot/grub/themes/${tname}/icons
    cd ${srcdir}/${pkgname}/assets/assets-color/icons-1080p
    for file in *.png; do
        install -m644 ${file} ${pkgdir}/boot/grub/themes/${tname}/icons/${file}
    done
    
    cd ${srcdir}/${pkgname}/assets/assets-select/select-1080p
    for file in *.png; do
        install -m644 ${file} ${pkgdir}/boot/grub/themes/${tname}/${file}
    done
}

